Bug 663191 - Install creates sysconfig scripts in /.dirsrv
Summary: Install creates sysconfig scripts in /.dirsrv
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Install/Uninstall
Version: 1.2.7
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks: 639035 389_1.2.8
TreeView+ depends on / blocked
 
Reported: 2010-12-14 22:18 UTC by Simo Sorce
Modified: 2015-12-07 16:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-07 16:57:34 UTC


Attachments (Terms of Use)
Patch (1.94 KB, patch)
2010-12-14 23:09 UTC, Nathan Kinder
nkinder: review?
rmeggins: review+
Details | Diff

Description Simo Sorce 2010-12-14 22:18:29 UTC
The dirsrv sysconfig scripts should be created under /etc/sysconfig/dirsrv at install time, but apparently setup-ds.pl uses a function (getLogin) that wrongly relies on $USER/$HOME environment variables.

When root it should just detect that the uid is 0 and proceed to create the files under the /etc/sysconfig/dirsrv directory.

Comment 1 Nathan Kinder 2010-12-14 23:05:46 UTC
Acually, the problem is that $USER is used directly in DSCreate.pm.  We need to use DSUtil::getLogin instead.

Comment 2 Nathan Kinder 2010-12-14 23:09:39 UTC
Created attachment 468727 [details]
Patch

Comment 3 Nathan Kinder 2010-12-15 01:23:08 UTC
Pushed to master.  Thanks to Rich for his review!

Counting objects: 13, done.
Delta compression using up to 2 threads.
Compressing objects: 100% (6/6), done.
Writing objects: 100% (7/7), 792 bytes, done.
Total 7 (delta 5), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/ds.git
   1f117c3..92613d9  master -> master

Comment 4 Jenny Severance 2011-05-16 17:53:42 UTC
Can you please add tests to verify what was fixed?  Thanks

Comment 5 Rich Megginson 2011-05-16 18:02:27 UTC
(In reply to comment #4)
> Can you please add tests to verify what was fixed?  Thanks

when you run setup-ds[-admin].pl as root, you should have /etc/sysconfig/dirsrv-INSTNAME and not ~/.dirsrv/dirsrv-INSTNAME

Comment 6 Amita Sharma 2011-05-25 10:13:53 UTC
[root@amsharma /]# setup-ds.pl

==============================================================================
This program will set up the 389 Directory Server.

It is recommended that you have "root" privilege to set up the software.
Tips for using this  program:
  - Press "Enter" to choose the default and go to the next screen
  - Type "Control-B" or the word "back" then "Enter" to go back to the previous screen
  - Type "Control-C" to cancel the setup program

Would you like to continue with set up? [yes]: yes

==============================================================================
BY SETTING UP AND USING THIS SOFTWARE YOU ARE CONSENTING TO BE BOUND BY
AND ARE BECOMING A PARTY TO THE AGREEMENT FOUND IN THE
LICENSE.TXT FILE. IF YOU DO NOT AGREE TO ALL OF THE TERMS
OF THIS AGREEMENT, PLEASE DO NOT SET UP OR USE THIS SOFTWARE.

Do you agree to the license terms? [no]: yes

==============================================================================
Your system has been scanned for potential problems, missing patches,
etc.  The following output is a report of the items found that need to
be addressed before running this software in a production
environment.

389 Directory Server system tuning analysis version 10-AUGUST-2007.

NOTICE : System is x86_64-unknown-linux2.6.32-125.el6.x86_64 (1 processor).

NOTICE : The net.ipv4.tcp_keepalive_time is set to 7200000 milliseconds
(120 minutes).  This may cause temporary server congestion from lost
client connections.

WARNING: There are only 1024 file descriptors (hard limit) available, which
limit the number of simultaneous connections.  

WARNING: There are only 1024 file descriptors (soft limit) available, which
limit the number of simultaneous connections.  

WARNING  : The warning messages above should be reviewed before proceeding.

Would you like to continue? [no]: yes

==============================================================================
Choose a setup type:

   1. Express
       Allows you to quickly set up the servers using the most
       common options and pre-defined defaults. Useful for quick
       evaluation of the products.

   2. Typical
       Allows you to specify common defaults and options.

   3. Custom
       Allows you to specify more advanced options. This is 
       recommended for experienced server administrators only.

To accept the default shown in brackets, press the Enter key.

Choose a setup type [2]: 1

==============================================================================
Certain directory server operations require an administrative user.
This user is referred to as the Directory Manager and typically has a
bind Distinguished Name (DN) of cn=Directory Manager.
You will also be prompted for the password for this user.  The password must
be at least 8 characters long, and contain no spaces.
Press Control-B or type the word "back", then Enter to back up and start over.

Directory Manager DN [cn=Directory Manager]: 
Password: 
Password (confirm): 
Your new DS instance 'amsharma' was successfully created.
Exiting . . .
Log file is '/tmp/setupBVal_B.log'

[root@amsharma /]# ls -l /etc/sysconfig/dirsrv-amsharma 
-r--r-----. 1 nobody nobody 783 May 25 15:40 /etc/sysconfig/dirsrv-amsharma

[root@amsharma /]# cd ~/.dirsrv/dirsrv
-bash: cd: /root/.dirsrv/dirsrv: No such file or directory

Comment 7 Amita Sharma 2011-05-25 10:15:23 UTC
[root@amsharma /]# setup-ds.pl

==============================================================================
This program will set up the 389 Directory Server.

It is recommended that you have "root" privilege to set up the software.
Tips for using this  program:
  - Press "Enter" to choose the default and go to the next screen
  - Type "Control-B" or the word "back" then "Enter" to go back to the previous screen
  - Type "Control-C" to cancel the setup program

Would you like to continue with set up? [yes]: yes

==============================================================================
BY SETTING UP AND USING THIS SOFTWARE YOU ARE CONSENTING TO BE BOUND BY
AND ARE BECOMING A PARTY TO THE AGREEMENT FOUND IN THE
LICENSE.TXT FILE. IF YOU DO NOT AGREE TO ALL OF THE TERMS
OF THIS AGREEMENT, PLEASE DO NOT SET UP OR USE THIS SOFTWARE.

Do you agree to the license terms? [no]: yes

==============================================================================
Your system has been scanned for potential problems, missing patches,
etc.  The following output is a report of the items found that need to
be addressed before running this software in a production
environment.

389 Directory Server system tuning analysis version 10-AUGUST-2007.

NOTICE : System is x86_64-unknown-linux2.6.32-125.el6.x86_64 (1 processor).

NOTICE : The net.ipv4.tcp_keepalive_time is set to 7200000 milliseconds
(120 minutes).  This may cause temporary server congestion from lost
client connections.

WARNING: There are only 1024 file descriptors (hard limit) available, which
limit the number of simultaneous connections.  

WARNING: There are only 1024 file descriptors (soft limit) available, which
limit the number of simultaneous connections.  

WARNING  : The warning messages above should be reviewed before proceeding.

Would you like to continue? [no]: yes

==============================================================================
Choose a setup type:

   1. Express
       Allows you to quickly set up the servers using the most
       common options and pre-defined defaults. Useful for quick
       evaluation of the products.

   2. Typical
       Allows you to specify common defaults and options.

   3. Custom
       Allows you to specify more advanced options. This is 
       recommended for experienced server administrators only.

To accept the default shown in brackets, press the Enter key.

Choose a setup type [2]: 1

==============================================================================
Certain directory server operations require an administrative user.
This user is referred to as the Directory Manager and typically has a
bind Distinguished Name (DN) of cn=Directory Manager.
You will also be prompted for the password for this user.  The password must
be at least 8 characters long, and contain no spaces.
Press Control-B or type the word "back", then Enter to back up and start over.

Directory Manager DN [cn=Directory Manager]: 
Password: 
Password (confirm): 
Your new DS instance 'amsharma' was successfully created.
Exiting . . .
Log file is '/tmp/setupBVal_B.log'

[root@amsharma /]# ls -l /etc/sysconfig/dirsrv-amsharma 
-r--r-----. 1 nobody nobody 783 May 25 15:40 /etc/sysconfig/dirsrv-amsharma

[root@amsharma /]# cd ~/.dirsrv/dirsrv
-bash: cd: /root/.dirsrv/dirsrv: No such file or directory


Note You need to log in before you can comment on or make changes to this bug.